
body {
    font-family: 'Segoe UI', 'Helvetica Neue', Arial, sans-serif;
    margin: 0;
    padding: 0;
}


/* Header styles */

.header {
    background-color: #333;
    color: white;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 1.25rem; /* Use rem for padding */
    height: 5rem; /* Use rem for height */
    position: relative; /* Ensure the toggle button is positioned relative to the header */
}

.header-logo {
    height: 3.75rem; /* Use rem for logo height */
}

.header-nav {
    display: flex;
    gap: 1.25rem; /* Use rem for gap */
}

.header-nav-a {
    color: white;
    text-decoration: none;
    font-size: 1.125rem; /* Use rem for font size */
}

.header-nav-a:hover {
    color: gray;
}


/* Media query for screens smaller than 768px (e.g., phones) */
@media (max-width: 768px) {
    .header {
        flex-direction: column;
        align-items: center; /* Center the logo and nav */
        padding: 0.5rem 1rem;
        height: auto;
    }

    .header-logo {
        height: 3.75rem;
    }

    .header-nav {
        flex-direction: column;
        gap: 0.5rem;
        display: none; /* Hide nav by default */
    }

    .header-nav.open {
        display: flex; /* Show nav when open */
    }

    .header-nav-a {
        font-size: 1.25rem;
        padding : 0.5rem;
        align-self: center; /* Align the links to the center */
    }


    .header-nav-toggle {
        display: block; /* Show the toggle button */
        background-color: #333;
        color: white;
        border: none;
        font-size: 1.5rem;
        cursor: pointer;
        margin-top: 0; /* Remove top margin */
        align-self: center; /* Align the button to the center */
        position: absolute; /* Position the button absolutely */
        right: 1.25rem; /* Align to the right with padding */
        top: 50%; /* Align to the middle of the header */
        transform: translateY(-50%); /* Center the button vertically */
    }
}

/* Hide the nav-toggle button on larger screens */
@media (min-width: 769px) {
    .header-nav-toggle {
        display: none;
    }
}


/* home image style */

#slideshow {
    width: 100%;
    display: flex;
}

/* Home Gallery Section */
.home-gallery {
    padding: 1rem 1rem 4rem 4rem;
    background-color: #333; 
    color: white;
}

.home-gallery-section-title {
    font-size: 2rem;
    font-weight: bold;
    margin-bottom: 2rem;
    text-align: left;
}

/* Gallery Grid */
.home-gallery-grid {
    display: grid;
    grid-template-columns: repeat(auto-fill, 15rem);
    gap: 1.5rem;
    
}

/* Gallery Item */
.home-gallery-item {
    display: block;
    text-align: center;
    color: white;
    position: relative;
    overflow: hidden;
}

.home-gallery-thumb {
    width: 100%;
    padding-top: 100%; /* This keeps it square */
    background-size: cover;
    background-position: center;
    transition: opacity 0.3s ease;
}

.home-gallery-item span {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    background: rgba(0, 0, 0, 0.6);
    padding: 0.5rem;
    text-align: center;
    font-size: 1.2rem;
}

.home-gallery-thumb:hover {
    opacity: 0.65;
}
@media (max-width: 940px) {
    .home-gallery {
        padding: 1rem 1rem 2rem 2rem;
    }
}


  

/* Home Prints Section */
.home-prints {
    display: flex;
    align-items: center;
    background-color: rgb(240, 240, 231);
    color: #333;
    flex-direction: row-reverse;
}

#home-prints-img {
    width: 50%;
    height: auto;
}

.home-prints-text {
    width: 50%;
    margin-left: 4rem;
    margin-top: 0;
    margin-bottom: 3%;
    margin-right: 1%;

}

.home-prints-section-title {
    font-size: 2rem;
    font-weight: bold;
    margin-bottom: 1rem;
}

.home-prints-text p {
    margin-bottom: 1rem;
    font-size: 1rem;
    line-height: 1.5;

}

#home-prints-btn {
    background-color: #333;
    color: white;
    border: none;
    padding: 0.75rem 1.5rem;
    font-size: 1rem;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

#home-prints-btn:hover {
    background-color: #555;
}

/* Media query for screens smaller than 960px */
@media (max-width: 940px) {
    .home-prints {
        flex-direction: column; /* Stack the image and text vertically */
    }

    #home-prints-img, .home-prints-text {
        width: 100%; /* Make both elements take full width */
        margin: 0; /* Remove margins */
    }

    .home-prints-text {
        order: 1; /* Display text first */
        margin: 2rem;
        width:auto;
    }

    #home-prints-img {
        order: 2; /* Display image second */
    }
}

/* Home Author Section */
.home-author {
    display: flex;
    align-items: stretch; /* Ensure children take full height */
    background-color: #333;
    color: white;
    height: 40rem; /* Fixed height for the section */
}

.home-author-blank-space {
    flex: 1; /* Allow the blank space to shrink and grow */
}

.home-author-img-div {
    flex: 1;
    display: flex;
    justify-content: flex-end; /* Align the image to the right */
    align-items: stretch; /* Ensure the image container takes full height */
}

#home-author-img {
    height: 100%; /* Make the image take the full height of the container */
    width: auto; /* Maintain aspect ratio */
}

.home-author-text {
    width: 50%;
    margin-left: 3%;
    margin-top: 0;
    margin-bottom: 3%;
    margin-right: 1%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    
}

.home-author-section-title {
    font-size: 2rem;
    font-weight: bold;
    margin-bottom: 1rem;
}

.home-author-text p {
    margin-bottom: 1rem;
    font-size: 1rem;
    line-height: 1.5;
    text-align: justify;
}

@media (max-width: 940px) {
    .home-author {
        flex-direction: column; /* Stack the image and text vertically */
        height: auto;
        padding: 2rem;
        margin:0;
    }

    .home-author-text {
        width: 100%; /* Make text take full width */
        margin-left: 0;
        margin-right:0;
        order: 1; /* Display text first */
    }

    .home-author-img-div {
        width: 100%; /* Make image container take full width */
        display: flex;
        justify-content: center; /* Center the image container */
        order: 2; /* Display image container second */
    }

    #home-author-img {
        width: 50%; /* Make image 25% wide */
        height: auto; /* Maintain aspect ratio */
    }
}


/* Home Contact Section */
.home-contact {
    background-color: #f0f0e7;
    color: #333;
    padding: 2rem 0;
}

.home-contact-content {
    padding: 0 2rem;
    margin: 0 auto;
    max-width: 30rem;
}

.home-contact-section-title {
    font-size: 2rem;
    font-weight: bold;
    margin-bottom: 2rem;
    text-align: left;
}

.home-contact-form {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.home-contact-form label {
    font-size: 1rem;
    font-weight: bold;
}

.home-contact-form input,
.home-contact-form textarea {
    padding: 0.75rem;
    border: 1px solid #ccc;
    border-radius: 4px;
    font-size: 1rem;
}

.home-contact-form input:focus,
.home-contact-form textarea:focus {
    border-color: #333;
    outline: none;
}

.home-contact-btn {
    background-color: #333;
    color: white;
    border: none;
    padding: 0.75rem 1.5rem;
    font-size: 1rem;
    cursor: pointer;
    transition: background-color 0.3s ease;
    align-self: center;
}

.home-contact-btn:hover {
    background-color: #555;
}

.home-contact-response {
    font-size: 1rem;
    color: #333;
    text-align: center;
}



/* Home Footer Section */
.home-footer {
    background-color: #333;
    color: white;
    text-align: center;
    padding: 1rem 0;
    position: relative;
    bottom: 0;
    width: 100%;
}

.home-footer p {
    margin: 0;
    font-size: 1rem;
}


/* Gallery styles */


#gallery_image {
    max-width: 100%;
    max-height: 100%;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.gallery_mid_button {
    display: flex;
    align-items: center;
    justify-content: center;
    background: none; /* Remove background */
    border: none;
    padding: 0; /* Remove padding */
    cursor: pointer;
    z-index: 10;
    position: fixed; /* Position the buttons fixed */
    top: 50%; /* Center vertically */
    transform: translateY(-50%); /* Adjust to center exactly */
}

.gallery_top_button {
    display: flex;
    align-items: center;
    justify-content: center;
    background: none; /* Remove background */
    border: none;
    padding: 0; /* Remove padding */
    cursor: pointer;
    z-index: 10;
    position: fixed; /* Position the buttons fixed */
}

#prevBtn {
    left: 2rem; 
}

#nextBtn {
    right: 2rem; 
}

#backBtn {
    right: 1rem; 
    top: 1rem;
}

#playBtn {
    right: 5rem; 
    top: 1rem;
}

#prevBtn, #nextBtn {
    transition: opacity 0.3s;
}

.gallery_btn_img {
    width: 3rem; 
    height: 3rem;
    opacity: 0.4;
}

.gallery_btn_img:hover {
    opacity: 0.8;
}

/* Media query for screens smaller than 768px */
@media (max-width: 940px) {
    #prevBtn {
        left: 1rem; 
    }
    
    #nextBtn {
        right: 1rem; 
    }
    
    #backBtn {
        right: 1rem; 
        top: 1rem;
    }
    
    #playBtn {
        right: 4rem; 
        top: 1rem;
    }

    .gallery_btn_img {
        width: 2rem; 
        height: 2rem;
    }
}


/* Shop styles */

.shop-container {
    display: flex;
    min-height: 90vh;
    background-color: #fafafa;
}

.shop-filters-container {
    background-color: #e7e7e7;
}

.shop-filters {
    padding: 2rem;
}

.shop-filters label {
    display: flex;
    align-items: center;
    margin-bottom: 0.625rem; /* Use rem for margin */
    cursor: pointer;
    font-size: 1.3rem;
    color:#555;
}

.shop-filters input[type="radio"] {
    display: none;
}


/* Style when radio button is checked */
.shop-filters input[type="radio"]:checked + label {
    font-weight: bold;
    color: black;
}
.shop-photo-grid-container {
    display: flex;
    flex-wrap: wrap; /* Allow items to wrap */
    justify-content: center; /* Center the grid */
    width: 100%; /* Take all available space */
}

.shop-photo-grid {
    display: grid;
    gap: 1.5rem;
    padding: 1.5rem;
    width: 100%; /* Take all available space */
}

.shop-photo-item {
    position: relative;
    width: 100%;
    padding-top: 100%; /* Makes each item a square */
}

.shop-photo-item img {
    position: absolute;
    top: 50%;
    left: 50%;
    max-width: 100%;
    max-height: 100%;
    transform: translate(-50%, -50%);
    box-shadow: 0 0.25rem 0.5rem rgba(0, 0, 0, 0.1); /* Add shadow */
}

.shop-photo-item:hover {
    opacity: 50%;
}

@media (min-width: 769px) {
    .shop-filters label {
        width: 18rem;
    }
    .shop-filters-container {
        border-right: 0.0625rem solid #ccc; /* Use rem for border */
    }

    .shop-photo-grid {
        grid-template-columns: repeat(auto-fill, minmax(25rem, 1fr)); 
    }
}

@media (max-width: 768px) {
    .shop-container {
        flex-direction: column; /* Stack elements vertically */
    }

    .shop-filters {
        order: -1; /* Moves filters to the top */
    }

    .shop-filters label {
        font-size: 1.1rem;
        justify-content: center;
    }

    .shop-photo-item {
        width: 100%;
    }

    .shop-photo-grid {
        width: 90%;
    }

}

/* product styles */

.product-image-box {

    padding: 2rem;
}

#product-image {
    margin: 0 auto;
    height: auto;
    display: block;
    max-width: 80%;
    max-height: 70vh; /* Limit height to 50% of the viewport height */
    object-fit: contain; /* Ensure aspect ratio is maintained */
    box-shadow: 0 0.25rem 0.5rem rgba(0, 0, 0, 0.1); /* Add shadow */
}

.product-body{
    background-color: #f0f0f0;
}

.product-body-text{
    max-width: 84rem;
    width: 80%;
    display: block;
    margin-left: auto;
    margin-right: auto;
    padding: 2rem;
}

.product-text{
    font-size: 1.2rem;
    color: #555;
}

.product-title{
    font-size: 1.8rem;
    font-weight: bold;
    color:#444;
}

.product-subtitle{
    font-size: 1.2rem;
    font-weight: bold;
    color:#444;
}

.product-radio-line{
    padding: 1rem 0;
}

.product-radio label {
    cursor: pointer;
    font-size: 1.2rem;
    color:#888;
    border: 0.1rem solid #888; /* Use rem for border */
    padding: 0.3rem 1rem;
    margin-right: 0.3rem;
}

.product-radio input[type="radio"] {
    display: none;
}

@media (max-width: 768px) {
    .product-radio label {
        font-size: 1rem;
        padding: 0.2rem 0.7rem;
    }
}


/* Style when radio button is checked */
.product-radio input[type="radio"]:checked + label {
    color: #333;
    border: 0.13rem solid #333; /* Use rem for border */
}

/* Disable right-click context menu on images */
img {
    -webkit-user-select: none; /* Disable text selection */
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    -webkit-touch-callout: none; /* Disable callout on iOS */
    -webkit-user-drag: none; /* Disable dragging */
    -moz-user-drag: none;
    -ms-user-drag: none;
}